Bug 236547 - Turn DOM in GPU Process on by default on iOS layout tests
Summary: Turn DOM in GPU Process on by default on iOS layout tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Process Model (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jon Lee
URL:
Keywords: InRadar
Depends on: 236464 236484 236507
Blocks: 233914
  Show dependency treegraph
 
Reported: 2022-02-12 19:57 PST by Jon Lee
Modified: 2022-03-28 16:41 PDT (History)
11 users (show)

See Also:


Attachments
Patch (19.90 KB, patch)
2022-03-22 17:14 PDT, Jon Lee
ggaren: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Lee 2022-02-12 19:57:21 PST
.
Comment 1 Radar WebKit Bug Importer 2022-02-12 19:58:04 PST
<rdar://problem/88863036>
Comment 2 Jon Lee 2022-03-22 17:14:18 PDT
Created attachment 455457 [details]
Patch
Comment 3 Geoffrey Garen 2022-03-23 09:02:44 PDT
Comment on attachment 455457 [details]
Patch

r=me

Probably need to double-check the iOS-wk2 EWS result.
Comment 4 Jon Lee 2022-03-23 10:32:14 PDT
The test failures are already happening on the bots, so they need to gardened separately. One of the crashes is already flaky on the x86_64 bot and should be gardened, the other one might be new (doesn't seem like something that should be affected by GPUP), but will need to monitor.
Comment 5 Jon Lee 2022-03-23 10:57:00 PDT
Committed r291751 (248782@trunk): <https://commits.webkit.org/248782@trunk>
Comment 6 Dawn Morningstar 2022-03-28 16:41:11 PDT
(In reply to Jon Lee from comment #4)
> The test failures are already happening on the bots, so they need to
> gardened separately. One of the crashes is already flaky on the x86_64 bot
> and should be gardened, the other one might be new (doesn't seem like
> something that should be affected by GPUP), but will need to monitor.


Do you think these two are also related?
https://results.webkit.org/?platform=ios&suite=layout-tests&suite=layout-tests&test=css3%2Fbackground%2Fbackground-repeat-round-auto1.html&test=css3%2Fbackground%2Fbackground-repeat-space-content.html